# $Revision: 1.76 $, $Date: 2011/01/24 01:35:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	MD5
Summary:	A perl interface to the MD5 digest algorithm
Summary(cs.UTF-8):	Rozhraní s podporou algoritmu MD5 v Perlu
Summary(da.UTF-8):	En perlmodul som implementerer MD5-algoritmen
Summary(de.UTF-8):	Ein Perl-Interface zum MD5 Digest-Algorithmus
Summary(es.UTF-8):	Interfaz perl para el algoritmo MD5 digest
Summary(fr.UTF-8):	Interface perl pour l'algorithme digest MD5
Summary(id.UTF-8):	Antarmuka Perl ke MD5 Digest Algorithm RSA
Summary(is.UTF-8):	Perl skil á RSA Message Digest Algorithm
Summary(it.UTF-8):	Interfaccia perl per l'algoritmo digest MD5
Summary(ja.UTF-8):	MD5 ダイジェストアルゴリズムに対する Perl インターフェイス
Summary(ko.UTF-8):	MD5 digest 알고리즘에 대한 펄 인터페이스
Summary(nb.UTF-8):	En perlmodul som implementerer MD5-algoritmen
Summary(pl.UTF-8):	Interfejs perlowy do algorytmu skrótu MD5
Summary(pt.UTF-8):	Uma interface de Perl para o algoritmo de 'digest' MD5
Summary(pt_BR.UTF-8):	Módulo Perl Digest::MD5
Summary(ru.UTF-8):	Алгоритм генерации "цифровой подписи": MD5
Summary(sk.UTF-8):	Perl rozhranie k RSA MD5 Digest Algorithm
Summary(sv.UTF-8):	Ett Perl-gränssnitt till kontrollsummealgoritmen MD5
Summary(uk.UTF-8):	Алгоритм генерації "цифрового підпису": MD5
Summary(zh_CN.UTF-8):	一个到 MD5 消化算法的 perl 界面。
Name:		perl-Digest-MD5
Version:	2.51
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/GAAS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	73967d50b9d19990a1d609fe2b1e36c3
URL:		http://search.cpan.org/dist/Digest-MD5/
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-MD5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Digest::Perl::MD5)'

%description
The "Digest::MD5" module allows you to use the RSA Data Security Inc.
MD5 Message Digest algorithm from within Perl programs.  The algorithm
takes as input a message of arbitrary length and produces as output a
128-bit "fingerprint" or "message digest" of the input.

%description -l cs.UTF-8
Balíček perl-Digest-MD5 obsahuje modul pro Perl, který implementuje
algoritmus pro výpočet výtahu MD5 (RFC 1321, 128 bitová hodnota, známá
jako digest nebo fingerprint).

%description -l da.UTF-8
Kontrollsummealgoritmen MD5, specificeret i RFC 1321, er en metod for
at beregna et relativt unikt 128-bitars værdi (kallas kontrollsumma
eller fingeravtryck) som en funktion af data af godtycklig størrelse.

%description -l de.UTF-8
Der MD5 Message Digest Algorithmus, der in RFC 1321 angegeben ist,
stellt eine Rechenmethode für relativ eindeutige 128-bit Werte
(bekannt als digest oder fingerprint) als Funktion von Daten einer
arbiträren Größe dar.

%description -l es.UTF-8
El algoritmo MD5 message digest, especificado en el RFC 1321, es un
método para obtener un valor de 128-bits relativamente único (conocido
como digest, o huella) como una función de datos de tamaño arbotrario.

%description -l fr.UTF-8
L'algorithme digest de message MD5, spécifié sous RFC 1321, est une
méthode de traitement d'une valeur 128 bits relativement unique
(connue sous le nom de digest ou d'empreinte digitale) en tant que
fonction de données d'une taille arbitraire.

%description -l it.UTF-8
L'algoritmo MD5 per il calcolo del message digest, specificato in RFC
1321, è un metodo per calcolare un valore lungo 128-bit relativamente
unico (conosciuto come digest o fingerprint) come una funzione di dati
di dimensioni arbitrarie.

%description -l ja.UTF-8
RFC 1321 で指定されている MD5 メッセージダイジェストアルゴリズムは、
比較的一意な 128 ビット値 (ダイジェストまたはフィンガープリントと言い
ます) を任意サイズのデータの関数として計算する方法です。

%description -l pl.UTF-8
Moduł "Digest::MD5" umożliwia korzystanie z algorytmu skrótu MD5 firmy
RSA Data Security Inc. w programach perlowych. Algorytm ten pobiera
jako dane wejściowe komunikat o dowolnej długości i tworzy na wyjściu
128-bitowy "odcisk palca" lub "skrót" danych wejściowych.

%description -l pt.UTF-8
O algoritmo de análise de mensagens de MD5, especificado no RFC 1321,
é um método para calcular um valor de 128 bits relativamente único
(conhecido por 'digest' ou impressão digital) em função de um conjunto
de dados de tamanho arbitrário.

%description -l pt_BR.UTF-8
Módulo Perl Digest::MD5 - Extensão para os algoritmos MD5.

%description -l ru.UTF-8
Содержит модуль для подсчета цифровOJ PODPISI MD5.

%description -l sv.UTF-8
Kontrollsummealgoritmen MD5, specificerad i RFC 1321, är en metod för
att beräkna ett relativt unikt 128-bitars värde (kallas kontrollsumma
eller fingeravtryck) som en funktion av data av godtycklig storlek.

%description -l uk.UTF-8
Містить модуль для підрахунку цифровOGO P&DPISU MD5.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Digest/*
%dir %{perl_vendorarch}/auto/Digest/*
%{perl_vendorarch}/auto/Digest/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/*/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-MD5.spec,v $
Revision 1.76  2011/01/24 01:35:54  sparky
- tests BR: perl-Encode

Revision 1.75  2010/12/05 20:06:54  qboosh
- updated to 2.51

Revision 1.74  2010/11/12 23:38:04  pawelz
- release 3

Revision 1.73  2010/06/06 08:35:25  arekm
- release 2

Revision 1.72  2009/06/18 12:41:51  amateja
- updated to 2.39

Revision 1.71  2008/12/01 13:50:30  arekm
- up to 2.38

Revision 1.70  2008-03-23 21:58:03  qboosh
- generic URL

Revision 1.69  2008-02-10 12:08:39  arekm
- rel 3

Revision 1.68  2008-01-31 22:03:58  glen
- rel 2

Revision 1.67  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.66  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.65  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.64  2005/12/04 23:54:50  czucz
- updated to 2.36

Revision 1.63  2005/05/11 00:17:54  pluto
- release 2 for Th.

Revision 1.62  2004/11/03 22:30:19  paladine
- formatting

Revision 1.61  2004/10/24 14:38:20  paladine
- spelling fix

Revision 1.60  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.59  2004/05/06 18:43:10  ankry
- fixed perl-devel BR

Revision 1.58  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.57  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.56  2003/12/23 08:16:55  misi3k
- updated to 2.33

Revision 1.55  2003/12/03 20:28:06  migo
- up to 2.31

Revision 1.54  2003/10/11 20:23:03  grzegol
- updated to 2.30

Revision 1.53  2003/10/10 10:55:14  qboosh
- non-recursive License information, added bcond_without tests

Revision 1.52  2003/10/07 13:50:08  migo
- up to 2.29
- fixed License
- do tests

Revision 1.51  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.50  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.49  2003/08/06 22:01:58  grzegol
- updated to 2.27

Revision 1.48  2003/07/30 23:00:46  grzegol
- updated to 2.26

Revision 1.47  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.46  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.44  2003/03/13 00:02:29  ankry
- merge from RA-branch: updated to 2.24

Revision 1.43  2003/03/01 18:05:43  radek
- should be ready for perl-5.8.0; release++

Revision 1.42  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.41  2003/02/18 15:31:47  ankry
- massive attack: change CPAN URLs

Revision 1.40  2003/02/05 16:18:09  ankry
- autoupdated to 2.23

Revision 1.39  2003/01/07 14:52:14  mis
- autoupdated to 2.22

Revision 1.38  2002/07/15 15:04:36  ankry
- merged translations from RH
- cleaning
- release 5

Revision 1.37  2002/07/10 08:47:05  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.36  2002/05/22 08:41:15  kloczek
- bump release to 4 and merge translations from KSI and Conectiva.

Revision 1.35  2002/05/22 08:14:17  qboosh
- removed Digest dirs (it belongs to perl now); release 2

Revision 1.34  2002/05/11 15:10:26  kloczek
- updated to 2.20: security update (close http://bugs.pld.org.pl/?bug=173).

Revision 1.33  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.32  2002/02/25 10:31:09  depesz
- cleanup; revision++

Revision 1.31  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/13 14:11:34  depesz
- automatic: Source location unified, Relase Up

Revision 1.29  2002/02/10 15:25:32  depesz
- adapterized

Revision 1.28  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.26  2001/09/08 07:35:27  kloczek
- updated to 2.16.

Revision 1.25  2001/09/02 17:15:21  kloczek
- updated to 2.15.

Revision 1.24  2001/07/25 09:08:36  mis
- autoupdated to 2.14

Revision 1.23  2001/05/11 14:46:10  kloczek
- release 3.

Revision 1.22  2001/05/10 19:47:18  qboosh
- removed rpmperl-automation-workaround patch, use %%_noautoreq instead

Revision 1.21  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.20  2001/04/17 12:08:19  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.19  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.18  2001/03/15 10:32:54  mis
- updated (by autoup) to 2.13

Revision 1.17  2001/02/15 20:03:54  mis
- fixed source's URL

Revision 1.16  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.15  2001/01/02 10:41:58  kloczek
- release 2: spec adaptrerized.

Revision 1.14  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/12/09 15:27:19  depesz
- new version of perl-Digest-MD5
- perl 5.6 is *not* required

Revision 1.12  2000/11/27 06:27:56  kloczek
- release 4,
- rebuild against perl 5.6,
- added using new rpm automation,
- remove .packlist from %%files.

Revision 1.11  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:49  baggins
- translated kloczkish into english

Revision 1.7  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.6  1999/10/23 11:35:08  wiget
- Release ++

Revision 1.5  1999/09/15 00:05:41  wiget
- release++

Revision 1.4  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.3  1999/08/28 12:10:09  wiget
- modified for perl 5.005_61

Revision 1.2  1999/07/16 00:09:43  kloczek
- revision 0.2,
- added stripping shared libraries.

Revision 1.1  1999/07/13 07:31:00  wiget
- writen from perl-MD5.spec
